Package org.apache.sling.scripting.sightly.compiler.expression.nodes

## Class Identifier

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.expression.nodes.Identifier

All Implemented Interfaces:
  `ExpressionNode`, `Atom`

    public final class Identifier
    extends Object
    implements Atom

Defines a single variable.

### Constructor Summary

Constructors
`Identifier​(String name)` Creates an identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `accept​(NodeVisitor<T> visitor)` Accept a visitor to process this node.
`String` `getName()` Retrieves the name of the identifier
`String` `getText()` Get the text content for this nodes
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Identifier

    public Identifier​(String name)

Creates an identifier.

Parameters:
  `name` - the name of the identifier

### Method Detail

#### accept

    public <T> T accept​(NodeVisitor<T> visitor)

Description copied from interface: `ExpressionNode`
Accept a visitor to process this node.

Specified by:
  `accept` in interface `ExpressionNode`
Type Parameters:
  `T` - the type of the visitor
Parameters:
  `visitor` - The visitor
Returns:
  the node after it has been evaluated by the visitor

#### getName

    public String getName()

Retrieves the name of the identifier

Returns:
  the name string

#### getText

    public String getText()

Description copied from interface: `Atom`
Get the text content for this nodes

Specified by:
  `getText` in interface `Atom`
Returns:
  the text content

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`